Bug 10764 - Update POD of C4::Items::GetItemStatus() to use TT syntax
Summary: Update POD of C4::Items::GetItemStatus() to use TT syntax
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 15:36 UTC by Owen Leonard
Modified: 2015-06-04 23:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10764 - Update POD of C4::Items::GetItemStatus() to use TT syntax (1.49 KB, patch)
2013-08-19 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10764 - Update POD of C4::Items::GetItemStatus() to use TT syntax (1.75 KB, patch)
2013-08-20 08:21 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 10764 - Update POD of C4::Items::GetItemStatus() to use TT syntax (1.87 KB, patch)
2013-08-20 11:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-08-19 15:36:05 UTC
The POD of C4::Items::GetItemStatus() has an example of how to create a selector based on the output of the function, but it uses the old template syntax, not TT syntax.
Comment 1 Owen Leonard 2013-08-19 15:39:19 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2013-08-20 08:21:22 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-08-20 11:51:51 UTC
Created attachment 20500 [details] [review]
Bug 10764 - Update POD of C4::Items::GetItemStatus() to use TT syntax

This patch updates the example template syntax in the POD for
C4::Items::GetItemStatus() to use Template Toolkit syntax.

To test, view the POD for C4::Items::GetItemStatus() and confirm that it
looks correct.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
This patch works as advertised (verified with "perldoc C4::Items"),
for GetItemStatus, but it does not fix a a similar example for
GetItemLocation in the same file, which still has the old template
syntax. So a followup or separate bug for that is called for.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
It seems the default option is not in used in templates.
Comment 4 Galen Charlton 2013-08-20 14:33:48 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-09-13 14:39:59 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Owen!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-15 01:44:17 UTC
Pushed to 3.10.x, will be in 3.10.11
Comment 7 Chris Hall 2013-11-22 22:05:48 UTC
Pushed to 3.8.x, will be in 3.8.20.